.TH cvm-mysql 8
.SH NAME
cvm-mysql \- MySQL module
.SH SYNOPSIS
cvm-mysql
.SH CREDENTIALS
Pass phrase
.SH DESCRIPTION
This module queries a MySQL database for the account name, compares
the stored pass phrase with the given one using
.BR crypt (3).
.SH CONFIGURATION VARIABLES
.TP
.B CVM_MYSQL_DEFAULT_FILE
The full path of the defaults file to read if the following variable is set.
If not set, the file
.I $HOME/.my.cnf
will be read (the MySQL default).
.TP
.B CVM_MYSQL_DEFAULT_GROUP
If set, the module will read connection default options from the named group
in the defaults file as above
.TP
.B CVM_MYSQL_HOST
The hostname or IP of the MySQL server.
If not set, a connection to the local host is assumed.
.TP
.B CVM_MYSQL_USER
The MySQL login ID to connect as.
If not set, the invoking user is assumed.
.TP
.B CVM_MYSQL_PASS
The password for the above user.
.TP
.B CVM_MYSQL_DB
The database name, must be set.
.TP
.B CVM_MYSQL_PORT
The port number for the TCP/IP connection (only used if the server is not
local).
.TP
.B CVM_MYSQL_POSTQ \fR(optional)
The SQL query to execute after the credentials have been validated, see
.BR cvm-sql (7).
.TP
.B CVM_MYSQL_PWCMP \fR(optional)
The
.I password comparison module
to use.
.TP
.B CVM_MYSQL_SOCKET
The path to the socket that should be used for connections to a local server.
.TP
.B CVM_MYSQL_QUERY \fR(optional)
The SQL query to issue to retrieve the row containing the account information
from the database, see
.BR cvm-sql (7).
.SH SEE ALSO
cvm-sql(7),
cvm-pgsql(8),
cvm-pwfile(8),
cvm-qmail(8),
cvm-unix(8),
cvm-vmailmgr(8),
cvm-benchclient(8),
cvm-checkpassword(8),
cvm-testclient(8)

 http://untroubled.org/pwcmp/pwcmp.html
 http://untroubled.org/cvm/cvm.html
